# FooTable #

**Contributors:** bradvin

**Tags:** tables,responsive,jquery

**Requires at least:** 3.5

**Tested up to:** 3.6

**Stable tag:** 0.3.1

**License:** GPLv2 or later

**License URI:** http://www.gnu.org/licenses/gpl-2.0.html


**FooTable's goal is simple :** to make HTML tables look awesome on all devices!


## Description ##

Have you ever wanted to show a lot of data in a table, but hate how badly it scales on smaller mobile devices? FooTable solves this problem by hiding certain columns on smaller devices, but still allowing the user to expand each row to see the columns that were hidden

[FooTable WordPress Homepage](http://fooplugins.com/plugins/footable-lite/) |
[FooTable WordPress Documentation](http://fooplugins.com/footable-lite/documentation/) |
[FooTable jQuery Homepage](http://fooplugins.com/plugins/footable-jquery/) |
[FooTable jQuery GitHub Repo](https://github.com/bradvin/FooTable) |
[FooTable jQuery Demos & Docs](http://fooplugins.com/footable-demos/)

**features**

*	Make your existing HTML tables responsive
*	Target only the tables you want using a CSS selector
*	Add sorting, filtering and paging to your tables
*	Automatically hide certain number of columns on tablets and phones
*	Set custom breakpoint sizes
*   Choose from 3 table themes or use your own CSS
*	Ability to include custom CSS
*   Works with TablePress

## Installation ##

1.	Upload or unzip the plugin to your `/wp-content/plugins/` folder
2.	Activate the plugin through the 'Plugins' menu in WordPress
3.	Configure FooTable from the settings page

## Screenshots ##

###1. Settings - General###
![Settings - General](http://s.wordpress.org/extend/plugins/footable/screenshot-1.png)

###2. Settings - Demo###
![Settings - Demo](http://s.wordpress.org/extend/plugins/footable/screenshot-2.png)

###3. Frontend Result###
![Frontend Result](http://s.wordpress.org/extend/plugins/footable/screenshot-3.png)


## Changelog ##

### 0.3.1 ###
* Fixed T_PAAMAYIM_NEKUDOTAYIM syntax error bug
* Disabling filtering and pagination settings now works

### 0.3 ###
* Major update! Using FooBox V2 jQuery
* Reworked the settings

### 0.2.1 ###
* Updated JS to fix minor bug

### 0.2 ###
* Initial Relase. First version.

## Frequently Asked Questions ##

### How do I override the CSS that FooTable applies to my tables? ###
Goto the settings page and disable the FooTable CSS, or add your own custom styling using the "Custom CSS" setting

## Upgrade Notice ##

Please upgrade to the latest version